%global packname bench
%global packver  1.1.2
%global rlibdir  %{_libdir}/R/library

%global __suggests_exclude ^R\\((ggbeeswarm|ggplot2|ggridges)\\)

%bcond_with suggests

Name:             R-%{packname}
Version:          %{packver}
Release:          6%{?dist}
Summary:          High Precision Timing of R Expressions

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-glue, R-methods, R-pillar, R-profmem, R-rlang >= 0.2.0, R-stats, R-tibble, R-utils
# Suggests:  R-covr, R-dplyr, R-forcats, R-ggbeeswarm, R-ggplot2, R-ggridges, R-mockery, R-parallel, R-scales, R-testthat, R-tidyr >= 0.8.1, R-vctrs, R-withr
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-glue
BuildRequires:    R-methods
BuildRequires:    R-pillar
BuildRequires:    R-profmem
BuildRequires:    R-rlang >= 0.2.0
BuildRequires:    R-stats
BuildRequires:    R-tibble
BuildRequires:    R-utils
BuildRequires:    R-mockery
BuildRequires:    R-parallel
BuildRequires:    R-testthat
%if %{with suggests}
BuildRequires:    R-dplyr
BuildRequires:    R-forcats
BuildRequires:    R-ggbeeswarm
BuildRequires:    R-ggplot2
BuildRequires:    R-ggridges
BuildRequires:    R-scales
BuildRequires:    R-tidyr >= 0.8.1
BuildRequires:    R-vctrs
BuildRequires:    R-withr
%endif

%description
Tools to accurately benchmark and analyze execution times for R expressions.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
# RMySQL/RPostgreSQL are old wrappers, so won't be packaged by me at least.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/examples
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 21 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.1.2-3
- R-maint-sig mass rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Sep 03 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.1.2-1
- R 4.2.1, update to 1.1.2, license change to MIT

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 16 2021 Tom Callaway <spot@fedoraproject.org> - 1.1.1-3
- Rebuilt for R 4.1.0

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Sep 06 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.1-1
- initial package for Fedora
